package com.cim.idm.wmspackage.material.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class Material extends FieldAccessor implements DataInfo<MaterialKey> {
	private MaterialKey key;
	
	private String materialType;
	private String materialSpecName;
	private String description;
	private Timestamp makeDate;
	
	private double createQuantity;
	private double quantity;
	private String areaName;
	private String locationName;
	private String materialPackingName;
	private String materialProcessGroupName;
	private String materialGrade;
	private String materialState;
	private String oldMaterialState;
	private String materialHoldState;
	
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private Timestamp createTime;
	private String createUser;
	
	private String receiveRequestName;
	private String receiveRequestDetailName;
	private String receiveActNo;
	private Timestamp receiveTime;
	private String receiveUser;
	private String shipRequestName;
	private String shipRequestDetailName;
	private Timestamp shipTime;	
	private String shipUser;
	private String reasonCodeType;
	private String reasonCode;
	
	@Override
	public MaterialKey getKey() {
		return key;
	}

	@Override
	public void setKey(MaterialKey arg0) {
		this.key=arg0;
	}

	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getMaterialState() {
		return materialState;
	}

	public void setMaterialState(String materialState) {
		this.materialState = materialState;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public String getMaterialType() {
		return materialType;
	}

	public void setMaterialType(String materialType) {
		this.materialType = materialType;
	}

	public Timestamp getMakeDate() {
		return makeDate;
	}

	public void setMakeDate(Timestamp makeDate) {
		this.makeDate = makeDate;
	}

	public double getCreateQuantity() {
		return createQuantity;
	}

	public void setCreateQuantity(double createQuantity) {
		this.createQuantity = createQuantity;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

	public String getMaterialPackingName() {
		return materialPackingName;
	}

	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}

	public String getMaterialProcessGroupName() {
		return materialProcessGroupName;
	}

	public void setMaterialProcessGroupName(String materialProcessGroupName) {
		this.materialProcessGroupName = materialProcessGroupName;
	}

	public String getMaterialGrade() {
		return materialGrade;
	}

	public void setMaterialGrade(String materialGrade) {
		this.materialGrade = materialGrade;
	}

	public String getOldMaterialState() {
		return oldMaterialState;
	}

	public void setOldMaterialState(String oldMaterialState) {
		this.oldMaterialState = oldMaterialState;
	}

	public String getMaterialHoldState() {
		return materialHoldState;
	}

	public void setMaterialHoldState(String materialHoldState) {
		this.materialHoldState = materialHoldState;
	}

	public String getReceiveRequestName() {
		return receiveRequestName;
	}

	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}

	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}

	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}

	public String getReceiveActNo() {
		return receiveActNo;
	}

	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}

	public Timestamp getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Timestamp receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getReceiveUser() {
		return receiveUser;
	}

	public void setReceiveUser(String receiveUser) {
		this.receiveUser = receiveUser;
	}

	public String getShipRequestName() {
		return shipRequestName;
	}

	public void setShipRequestName(String shipRequestName) {
		this.shipRequestName = shipRequestName;
	}

	public String getShipRequestDetailName() {
		return shipRequestDetailName;
	}

	public void setShipRequestDetailName(String shipRequestDetailName) {
		this.shipRequestDetailName = shipRequestDetailName;
	}

	public Timestamp getShipTime() {
		return shipTime;
	}

	public void setShipTime(Timestamp shipTime) {
		this.shipTime = shipTime;
	}

	public String getShipUser() {
		return shipUser;
	}

	public void setShipUser(String shipUser) {
		this.shipUser = shipUser;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	
}
